import java.net.*;
import java.io.*;

class ProtocolTest
{

  public static void main(String[] args) throws Exception
  {
    byte buf[] = new byte[1000];
    int read, wrote;
    Socket conn = new Socket(args[0], Integer.parseInt(args[1]));
    FileInputStream file = new FileInputStream(args[2]);
    InputStream  ssin  = conn.getInputStream();
    OutputStream ssout = conn.getOutputStream();
    
    System.out.println("Args: " + args[0] + ", " + args[1] + ", " + args[2]);
    
    for (read=file.read(); read!=-1; read=file.read())
    {
      if (read == '\r')
        System.out.print("<CR>");
      else if (read == '\n')
        System.out.print("<NL>");
      else
        System.out.write(read);
      if (read == '\n')
        ssout.write('\r');
      ssout.write(read);
    }
    ssout.flush();
    while (ssin.available()==0)
    {
      ssout.write('\r');
      ssout.write('\n');
    }
     
    System.out.println("Wrote fileContents");

    for (read=ssin.read(); read!=-1; read=ssin.read())
    {
      System.out.write(read);
    }
  }
}
